Page MenuHomePhabricator

Cannot move cards to workboards on mobile devices without drag and drop functionality
Closed, ResolvedPublic

Description

Upstream report: https://secure.phabricator.com/T6051 (Closed, Declined -- see explanation of alternative plans, mainly a Way to edit which column a task is in from the task itself)

Its possible to see workboards for a specific project without any problems, but mobile devices doesn't have a drag and drop possibility, so i can't move a card to another column. That should be possible (e.g. with a little arrow at the right side of each task with options like "move" to move the card to another column).

Event Timeline

Florian raised the priority of this task from to Needs Triage.
Florian updated the task description. (Show Details)
Florian added a project: Phabricator.
Florian added subscribers: Florian, Jdlrobson.
Aklapper renamed this task from Its impossible to move cards to workbooks in mobile view to Impossible to move cards to workbooks in mobile view.Dec 28 2014, 11:19 PM
Aklapper triaged this task as Lowest priority.
Aklapper edited projects, added Phabricator (Upstream); removed Phabricator.
Aklapper set Security to None.

The problem is similar to T1171 and should be tackled upstream.

Also note that there is no particular "mobile view" available in Phabricator - it depends on browser window size. Hence no idea how Phabricator would recognize a mobile device - useragent string maybe? shrug.

Aklapper renamed this task from Impossible to move cards to workbooks in mobile view to Cannot move cards to workbooks on mobile devices without drag and drop functionality.Dec 28 2014, 11:23 PM

Similar, but its not the same i think (it has the same reason: no drag and drop on mobile devices). I think it would be interesting to change the behavior on all devices. For example the edit pencil could be replaced by an arrow to open the options for a task (like editing and move to another workbook).

Qgil renamed this task from Cannot move cards to workbooks on mobile devices without drag and drop functionality to Cannot move cards to workboards on mobile devices without drag and drop functionality.Dec 29 2014, 10:43 AM
Qgil updated the task description. (Show Details)
Qgil added a subscriber: Qgil.

I think upstream would welcome your mobile expertise to help solving this problem. See https://secure.phabricator.com/T6051#75103

Is anyone still working on it?

Is anyone still working on it?

I don't think anybody ever worked on this (if someone did, references welcome.)

Aklapper changed the task status from Open to Stalled.Jul 4 2019, 10:39 PM

I'm not sure what's left to do here, could someone please clarify? (@Florian?)

The mobile interface allows to move a task to a different column via the dropdown menu in the task view
I don't see how it's feasible to implement this at all on a small screen for the workboard view.

Florian claimed this task.

From my point of view, it could be closed given that moving of cards is possible on the task itself now, so it's not blocking us from using a mobile device to work :)

Shall this task be reopened, or must I create a new task? I didn't think until moments ago that this task has existed. I still don't know why it's marked "Resolved" while this issue with the workboards on mobile devices still persists.

Furthermore, I didn't notice until now the dropdown menu in workboards. However, I don't understand how moving a card via a dropdown menu works. Would all cards be moved from one column to another if I select a column and then press "Move tasks"? If so, that would be too risky, wouldn't it be?

I intend to move just one card without risking to move all other cards via a dropdown menu. Is moving just one card via dropdown menu possible?

Here are screenshots describing my confusion:

You can move a task to a different workboard column via the "Add Action..." dropdown in the single-task view.